package _VisualDVM.TestingSystem.Common.Test.UI;
import Common.Visual.Windows.Dialog.DBObjectDialog;
import _VisualDVM.Global;
import _VisualDVM.TestingSystem.Common.Group.Group;
import _VisualDVM.TestingSystem.Common.Test.Test;
import _VisualDVM.Utils;
public class TestDialog extends DBObjectDialog<Test, TestFields> {
    public TestDialog() {
        super(TestFields.class);
    }
    @Override
    public int getDefaultHeight() {
        return 400;
    }
    @Override
    public int getDefaultWidth() {
        return 400;
    }
    @Override
    public void validateFields() {
        if (!edit) {
            if (!Global.testingServer.db.getTable(Group.class).getUI().getCurrent().language.equals(Global.mainModule.getProject().languageName))
                Log.Writeln_("В текущую группу могут войти только тесты на языке "
                        +
                        Global.testingServer.db.getTable(Group.class).getUI().getCurrent().language);
        }
        Utils.validateFileShortNewName(fields.tfName.getText(), Log);
    }
    @Override
    public void fillFields() {
        fields.tfName.setText(Result.description);
        fields.sMinDim.setValue(Result.min_dim);
        fields.sMaxDim.setValue(Result.max_dim);
        fields.taExtendedDescription.setText(Result.extended_description);
    }
    @Override
    public void ProcessResult() {
        Result.description = fields.tfName.getText();
        Result.extended_description = fields.taExtendedDescription.getText();
        Result.min_dim = (int) fields.sMinDim.getValue();
        Result.max_dim = (int) fields.sMaxDim.getValue();
        if (!edit) {
            Result.sender_name = Global.mainModule.getAccount().name;
            Result.sender_address = Global.mainModule.getAccount().email;
        }
    }
    @Override
    public void SetReadonly() {
        fields.tfName.setEnabled(false);
        fields.sMinDim.setEnabled(false);
        fields.sMaxDim.setEnabled(false);
        fields.taExtendedDescription.setEnabled(false);
    }
}
